﻿<UserControl x:Class="LifenoteWPF.View.UserControlNote"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:LifenoteWPF.View"
             xmlns:sys="clr-namespace:System;assembly=mscorlib"
             mc:Ignorable="d"  >
    <!-- grille de separation entre button et affichage -->
    <Border CornerRadius="8" BorderThickness="2" BorderBrush="Black">
        <StackPanel Background="Black">
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition Height="auto"/>
                    <RowDefinition Height="auto"/>
                    <RowDefinition Height="auto"/>
                    <RowDefinition Height="auto"/>
                </Grid.RowDefinitions>
                <!-- TITLE + button save, annuler et effacer -->
                <Border Grid.Row="0" BorderThickness="1" BorderBrush="Black" Background="Black" CornerRadius="8">
                    <Grid>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="7*"/>
                            <RowDefinition Height="1*"/>
                        </Grid.RowDefinitions>
                        <Grid.ColumnDefinitions>
                            <!-- column 1 = title  -->
                            <ColumnDefinition Width=".2*"/>
                            <ColumnDefinition Width="1.5*"/>
                            <!-- column 3 = sauver  -->
                            <ColumnDefinition Width=".2*"/>
                            <ColumnDefinition Width="1.5*"/>
                            <!-- column 5 = annuler -->
                            <ColumnDefinition Width=".2*"/>
                            <ColumnDefinition Width="1.5*"/>
                            <!-- column 7 = effacer -->
                            <ColumnDefinition Width=".2*"/>
                            <ColumnDefinition Width="1.5*"/>
                            <ColumnDefinition Width=".1"/>
                        </Grid.ColumnDefinitions>
                        <TextBlock Grid.Row="1" Grid.Column="1" Text=" NOTE  " Foreground="{DynamicResource AccentBaseColorBrush}" Background="Transparent" FontWeight="UltraBold" FontSize="12" Margin="0,2,0,0" />
                        <Button Content="SAVE" x:Name="SaveButton" Grid.Row="1" Grid.Column="3" FontWeight="DemiBold" BorderBrush="Transparent"
                         Command="{Binding Path=SaveCommand}" Background="{DynamicResource AccentBaseColorBrush}" />
                        <Button Content="ABORT" x:Name="ModifierButton" Grid.Row="1" Grid.Column="5" FontWeight="DemiBold" BorderBrush="Transparent"
                         Command="{Binding Path=AnnulerCommand}" Background="{DynamicResource AccentBaseColorBrush}" />
                        <Button Content="DELETE" x:Name="EffacerButton" Grid.Row="1" Grid.Column="7" FontWeight="DemiBold" BorderBrush="Transparent"
                         Command="{Binding Path=DeleteCommand}"  Background="{DynamicResource AccentBaseColorBrush}" />
                    </Grid>
                </Border>
                <!-- info date -->
                <Border Grid.Row="1" BorderBrush="Black" BorderThickness="1" CornerRadius="8" Background="WhiteSmoke">
                    <WrapPanel >
                        <Label Width="5" Height="30"/>
                        <TextBlock  Text="DATE"  Width="50" FontWeight="Bold" Height="16" VerticalAlignment="Center" Foreground="Black"/>
                        <DatePicker  x:Name="Day" SelectedDate="{Binding InfoDateTask}"  FirstDayOfWeek="Monday" Width="130" Height="10" BorderBrush="{DynamicResource AccentColorBrush}" />
                    </WrapPanel>
                </Border>
                <!-- info time start/end and alarm -->
                <Grid Grid.Row="2">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="1*" />
                        <ColumnDefinition Width="1*" />
                        <ColumnDefinition Width="1*" />
                    </Grid.ColumnDefinitions>
                    <Border Grid.Column="0" BorderBrush="Black" BorderThickness="1" CornerRadius="8" Background="WhiteSmoke">
                        <StackPanel>
                            <TextBlock  Text=" START " Background="WhiteSmoke" FontWeight="DemiBold"  HorizontalAlignment="Center" Foreground="Black"/>
                            <TextBox  x:Name="txtTimeStart" BorderThickness="1" BorderBrush="{DynamicResource AccentColorBrush}" 
                              TextChanged="txtTimeStart_TextChanged"  HorizontalAlignment="Center" 
                                      Text="{Binding CurrentNote.TimeStart, Mode=TwoWay, NotifyOnValidationError=true, 
                                        ValidatesOnExceptions=true, UpdateSourceTrigger=PropertyChanged, 
                                        StringFormat={}{0:hh}:{0:mm}, FallbackValue=00:00 }"/>
                        </StackPanel>
                    </Border>
                    <Border Grid.Column="1" BorderBrush="Black" BorderThickness="1" CornerRadius="8" Background="WhiteSmoke">
                        <StackPanel>
                            <TextBlock  Text=" END " Background="WhiteSmoke" FontWeight="DemiBold"  HorizontalAlignment="Center" Foreground="Black"/>
                            <TextBox  x:Name="txtTimeEnd" BorderThickness="1" BorderBrush="{DynamicResource AccentColorBrush}" 
                              TextChanged="txtTimeEnd_TextChanged"   HorizontalAlignment="Center"
                                      Text="{Binding CurrentNote.TimeEnd, Mode=TwoWay, NotifyOnValidationError=true, 
                                        ValidatesOnExceptions=true, UpdateSourceTrigger=PropertyChanged, 
                                        StringFormat={}{0:hh}:{0:mm}, FallbackValue=00:00 }"/>
                        </StackPanel>
                    </Border>
                    <Border Grid.Column="2" BorderBrush="Black" BorderThickness="1" CornerRadius="8" Background="WhiteSmoke">
                        <StackPanel>
                            <TextBlock Text="ALARM"  FontWeight="DemiBold"   HorizontalAlignment="Center" Foreground="Black"/>
                            <TextBox  x:Name="TimeAlarm" BorderThickness="1"  GotFocus="Time_GotFocus" BorderBrush="{DynamicResource AccentColorBrush}" 
                                  TextChanged="txtALARM_TextChanged"  HorizontalAlignment="Center"
                            Text="{Binding InfoTimeAlarm, Mode=TwoWay, NotifyOnValidationError=true, 
                             ValidatesOnExceptions=true, UpdateSourceTrigger=PropertyChanged, 
                             StringFormat=hh\\:mm , FallbackValue=00:00 , TargetNullValue={x:Static sys:String.Empty}}" Width="40" />
                        </StackPanel>
                    </Border>
                </Grid >

                <!-- INFO DESCRIPTION -->
                <Border  Grid.Row="3" BorderBrush="Black" BorderThickness="1" CornerRadius="8" Background="WhiteSmoke">
                    <StackPanel>
                        <TextBlock   Text="DESCRIPTION"  Height="16" FontWeight="DemiBold"  HorizontalAlignment="Center" Margin="40,0" Foreground="Black" />
                        <TextBox  x:Name="Description" VerticalAlignment="Center" BorderThickness="1" BorderBrush="{DynamicResource AccentColorBrush}" 
                                      Text="{Binding CurrentNote.Description, Mode=TwoWay, NotifyOnValidationError=true, 
                                        ValidatesOnExceptions=true, UpdateSourceTrigger=PropertyChanged}" Margin="5,0" Height="21"/>
                        <Label Height="10"/>
                    </StackPanel>
                </Border>
            </Grid>

        </StackPanel>
    </Border>
</UserControl>
